Monitoramento
Atualizar Monitoramento
Altera nome, temas observados, emails ou frequência.
PATCH
/
monitors
/
{monitor_id}
Atualizar Monitoramento
curl --request PATCH \
--url https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"listen_items": [],
"emails": [
"[email protected]"
],
"frequency_hours": 360
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}"
payload = {
"name": "<string>",
"listen_items": [],
"emails": ["[email protected]"],
"frequency_hours": 360
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
listen_items: [],
emails: ['[email protected]'],
frequency_hours: 360
})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'listen_items' => [
],
'emails' => [
'[email protected]'
],
'frequency_hours' => 360
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "monitor",
"status": "active",
"identifier": "<string>",
"identifier_type": "cpf",
"listen_items": [
"company"
],
"emails": [
"[email protected]"
],
"frequency_hours": 360,
"health": {
"status": "unknown",
"consecutive_failures": 123,
"last_cycle_at": "2023-11-07T05:31:56Z"
},
"subscription": {
"status": "included",
"id": "<string>"
},
"execution_allowed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"blocking_reason": "monitor_paused"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Monitoramento atualizado
Available options:
monitor Available options:
active, paused, cancelled Available options:
cpf, cnpj Available options:
company, debts, processes, partners Required range:
1 <= x <= 720Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
monitor_paused, monitor_cancelled, payment_required, feature_disabled ⌘I
Atualizar Monitoramento
curl --request PATCH \
--url https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"listen_items": [],
"emails": [
"[email protected]"
],
"frequency_hours": 360
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}"
payload = {
"name": "<string>",
"listen_items": [],
"emails": ["[email protected]"],
"frequency_hours": 360
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
listen_items: [],
emails: ['[email protected]'],
frequency_hours: 360
})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'listen_items' => [
],
'emails' => [
'[email protected]'
],
'frequency_hours' => 360
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/monitors/{monitor_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "monitor",
"status": "active",
"identifier": "<string>",
"identifier_type": "cpf",
"listen_items": [
"company"
],
"emails": [
"[email protected]"
],
"frequency_hours": 360,
"health": {
"status": "unknown",
"consecutive_failures": 123,
"last_cycle_at": "2023-11-07T05:31:56Z"
},
"subscription": {
"status": "included",
"id": "<string>"
},
"execution_allowed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"blocking_reason": "monitor_paused"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}